<?php

/*
 * Created on 19.06.2022
 * HomePage: https://xentr.net
 * Copyright (c) 2019 XENTR | XenForo Add-ons - Styles -  All Rights Reserved
 */

namespace XENTR\RDUG\XFRM\Admin\Controller;

use XF\Mvc\Entity\Structure;

class Category extends XFCP_Category
{
    protected function categorySaveProcess(\XFRM\Entity\Category $category)
    {
        $form = parent::categorySaveProcess($category);

        $entityInput = $this->filter([
            'xtr_user_group_download_feature' => 'bool'
        ]);

        $form->basicEntitySave($category, $entityInput);

        return $form;
    }
}	