<?php

/*
 * Created on 19.06.2022
 * HomePage: https://xentr.net
 * Copyright (c) 2019 XENTR | XenForo Add-ons - Styles -  All Rights Reserved
 */

namespace XENTR\RDUG\XFRM\Entity;

use XF\Mvc\Entity\Structure;

class Category extends XFCP_Category
{
    public function hasAllowDownloadGroupFeature()
    {
        if ($this->xtr_user_group_download_feature)
        {
            return true;
        }

        return false;
    }

    public static function getStructure(Structure $structure)
    {
        $structure = parent::getStructure($structure);

        $structure->columns += [
            'xtr_user_group_download_feature' => ['type' => self::BOOL, 'default' => false],
        ];

        return $structure;
    }
}	