<?php

/*
 * Created on 19.06.2022
 * HomePage: https://xentr.net
 * Copyright (c) 2019 XENTR | XenForo Add-ons - Styles -  All Rights Reserved
 */

namespace XENTR\RDUG\XFRM\Pub\Controller;

use XF\Mvc\ParameterBag;
use XF\Mvc\Reply\View;

class Category extends XFCP_Category
{
	protected function setupResourceCreate(\XFRM\Entity\Category $category)
	{
        $creator = parent::setupResourceCreate($category);

        $creator->getResource()->bulkSet($this->filter([
            'xtr_downloadable_group_ids' => 'array-uint',
        ]));

        return $creator;
	}

	public function actionAdd(ParameterBag $params)
	{
	    $response = parent::actionAdd($params);
        if ($response instanceof View) {
            $response->setParam('userGroups', $this->repository('XF:UserGroup')->getUserGroupTitlePairs());
        }

        return $response;
	}
}